// +build go1.1,!go1.2

/*
   filegive - Easy sending of files
   Copyright (C) 2013  Lluís Batlle i Rossell

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU Affero General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU Affero General Public License for more details.

   You should have received a copy of the GNU Affero General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

package main

import (
	"crypto/tls"
)

func chooseCiphers(config *tls.Config) {
	// DES3 gives 140KB/s for me. Too slow.
	// Use ephemereal keys, with ECDHE
	// Everyone should support AES256
	// config.CipherSuites = []uint16{tls.TLS_ECDHE_RSA_WITH_AES_256_CBC_SHA}

	// We disable it if we don't set Ciphersuites, or it will choose a weak ciphering probably
	// config.PreferServerCipherSuites = true
}
